# AX3003P Programmable DC Power Supply Control Library
[![Documentation Status](https://readthedocs.org/projects/ax3003p/badge/?version=latest)](https://ax3003p.readthedocs.io/en/latest/?badge=latest)

Python package that provides an API for controlling AX3003P programmable power supply.
It works on Linux, OSX, Windows and BSD.

## Features
 - Enabling/disabling the output.
 - OVP and OCP control.
 - Voltage and current control.
 - Output voltage, current and power measurements.

## Requirements
 - Python 2.7 or Python 3 and newer
 - pySerial

## Installing

#### From PyPI
AX3003P can be installed from PyPI::
```
pip3 install AX3003P
```

Or in case of using Python 2.7::
```
pip install AX3003P
```

#### From source
```
python3 setup.py install
```

Or in case of using Python 2.7
```
python setup.py install
```

## Documentation
Available on readthedocs.org : https://ax3003p.readthedocs.io/en/latest
